U více klientů jsem nyní řešila, že se jim totálně sesypal web poté, co aktualizovali na WordPress 4.9.6, webhosting jim zvýšil PHP na 7.1. a aktualizovali plugin WPML 3.9.4 (jazykové mutace). Jde o weby od roku 2014, tedy trochu starší, ale jinak funkční a vzhledem k složitější funkcionalitě nutné zachovat.

Dejte si na to velký pozor. WPML má sice nyní v červnu novou aktualizaci 4.0, kde tvrdí, že zvládne i PHP 7.2. a WordPress 4.9.6, ale u některých webů to stejně nefunguje.

Strávila jsem nad tím několik hodin a fungovala až kombinace (pozor nutný je i stejný postup, protože kroky v jiném pořadí nefungovaly…):

1, Snížit wordpress na přechozí verzi. Můžete k tomu použít plugin WP Downgrade | Specific Core Version. Tam si jen zvolíte verzi, na kterou chcete zpět. Já snížila na 4.8.6.*

2, Snížit PHP na 5.4.5. Vyšší verze nefunguje. Nevezme to ani 5.6.36. Jen některé webhostingové společnosti chtějí od 5.4.5 upustit, tak na to myslete do budoucna.
Pozor, může to trvat až 2 hodiny, než se změna projeví.

3, Vrátit WPML na verzi nižší. My vraceli na 3.7.1. Tu získáte po příhlášení do WPML (https://wpml.org/download/wpml-multilingual-cms/?section=changelog).

Rolovat nahoru